%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate curl

Name:           rust-curl
Version:        0.4.46
Release:    1%{?dist}
Summary:        Rust bindings to libcurl for making HTTP requests

License:        MIT
URL:            https://crates.io/crates/curl
Source0:         %{crates_source}
Patch:          curl-fix-metadata-auto.diff
Patch:          curl-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust bindings to libcurl for making HTTP requests.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+http2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+http2-devel %{_description}

This package contains library source intended for building other packages which
use the "http2" feature of the "%{crate}" crate.

%files       -n %{name}+http2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ntlm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ntlm-devel %{_description}

This package contains library source intended for building other packages which
use the "ntlm" feature of the "%{crate}" crate.

%files       -n %{name}+ntlm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-probe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-probe-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl-probe" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-probe-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl-sys" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+poll_7_68_0-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+poll_7_68_0-devel %{_description}

This package contains library source intended for building other packages which
use the "poll_7_68_0" feature of the "%{crate}" crate.

%files       -n %{name}+poll_7_68_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+protocol-ftp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+protocol-ftp-devel %{_description}

This package contains library source intended for building other packages which
use the "protocol-ftp" feature of the "%{crate}" crate.

%files       -n %{name}+protocol-ftp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+spnego-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+spnego-devel %{_description}

This package contains library source intended for building other packages which
use the "spnego" feature of the "%{crate}" crate.

%files       -n %{name}+spnego-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssl-devel %{_description}

This package contains library source intended for building other packages which
use the "ssl" feature of the "%{crate}" crate.

%files       -n %{name}+ssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+upkeep_7_62_0-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+upkeep_7_62_0-devel %{_description}

This package contains library source intended for building other packages which
use the "upkeep_7_62_0" feature of the "%{crate}" crate.

%files       -n %{name}+upkeep_7_62_0-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
rm tests/atexit.rs
rm tests/post.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- -- --skip abort_read --skip upload_lots --skip 'src/easy/handle.rs' --skip 'src/easy/handler.rs'
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.46-1
- initial build
